GET /Encounter
Summary: Search encounters
Operation ID: searchEncounter
Auth: none
Operation ID: searchEncounter
Auth: none
Description
Search for patient encounters and visits
Parameters (5)
_count
(integer, query, optional, default: 20)
class
(string, query, optional)
Encounter class (inpatient, outpatient, emergency)
date
(string, query, optional)
Encounter date
patient
(string, query, optional)
Patient reference
status
(string, query, optional)
Encounter status
Constraints: {'enum': ['planned', 'arrived', 'triaged', 'in-progress', 'onleave', 'finished', 'cancelled']}
Examples (5)
| Title | Type | URL | Action |
|---|---|---|---|
| Search finished encounters | curl |
https://hapi.fhir.org/baseR4/Encounter?status=finished&_count=10 |
|
| Search encounters by patient ID | curl |
https://hapi.fhir.org/baseR4/Encounter?patient=Patient/1834567&_count=5 |
|
| Search encounters by date range | curl |
https://hapi.fhir.org/baseR4/Encounter?date=ge2024-01-01&date=le2024-12-31&status=arrived |
|
| Search Encounters | probe-gate |
https://hapi.fhir.org/baseR4/Encounter |
|
| Search encounters | probe-gate |
https://hapi.fhir.org/baseR4/Encounter?_count=20 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:58:20.032604 | 200 | 583ms | |
| 2026-03-23 10:36:13.342229 | 200 | 482ms | |
| 2026-03-23 10:27:34.924216 | 200 | 512ms | |
| 2026-03-23 09:31:32.730944 | 200 | 571ms | |
| 2026-03-23 09:01:10.952456 | 200 | 523ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:31:32.730944 | 15bed961ce3d |
a04d2db3b10d |
| 2026-03-23 10:27:34.924216 | a04d2db3b10d |
6de7770bc40c |
| 2026-03-23 10:36:13.342229 | 6de7770bc40c |
7dd23349bcfa |
| 2026-03-23 10:58:20.032604 | 7dd23349bcfa |
dec6390debd2 |